From fd7640e3344f0b66f3d75fe4fdecfc706e810f9a Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 4 Jun 2009 14:12:27 +0200
Subject: [PATCH] Disable Java for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 bison.spec |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

diff --git a/bison.spec b/bison.spec
index a881fdf..1c34c41 100644
--- a/bison.spec
+++ b/bison.spec
@@ -1,14 +1,21 @@
+%define java 1
+%ifarch %{arm}
+%define java 0
+%endif
 Summary: A GNU general-purpose parser generator
 Name: bison
 Version: 2.4.1
-Release: 2%{?dist}
+Release: 2%{?dist}.fa1
 License: GPLv2+
 Group: Development/Tools
 Source: ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.bz2
 Patch1: bison-2.4-reap_subpipe.patch
 URL: http://www.gnu.org/software/bison/
 BuildRoot: %{_tmppath}/%{name}-root
-BuildRequires: m4 >= 1.4 java-1.6.0-openjdk-devel
+BuildRequires: m4 >= 1.4
+%if %{java}
+BuildRequires: java-1.6.0-openjdk-devel
+%endif
 Requires: m4 >= 1.4
 Requires(post): /sbin/install-info
 Requires(preun): /sbin/install-info
@@ -65,6 +72,9 @@ Bison manual section for more information.
 %patch1 -p1
 
 %build
+%if ! %{java}
+export JAVA=no
+%endif
 %configure
 make
 
@@ -115,6 +125,9 @@ fi
 rm -rf $RPM_BUILD_ROOT
 
 %changelog
+* Thu Jun 04 2009 Jitesh Shah <jiteshs@marvell.com> - 2.4.1-2.fa1
+- Disable Java for ARM
+
 * Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

